import type { EquipmentTypeViewModel } from "../equipmentType/equipmentType.models";

export interface InspectionPlanViewModel {
  id: string;
  title: string;
  inspectionInterval?: `${number}-${"d" | "m" | "y"}` | `${number}/${number}`;
  equipmentTypeId: string;
  equipmentType: EquipmentTypeViewModel;
}

export interface CreateInspectionPlanViewModel {
  title: string;
  inspectionInterval?: `${number}-${"d" | "m" | "y"}` | `${number}/${number}`;
  equipmentTypeId: string;
}

export interface UpdateInspectionPlanViewModel {
  id: string;
  title: string;
  inspectionInterval?: `${number}-${"d" | "m" | "y"}` | `${number}/${number}`;
}
